## ----message=FALSE-------------------------------------------------------
library(Biostrings)
library(metagenomeFeatures)
library(metagenomeSeq)

## ------------------------------------------------------------------------
assay_data <- metagenomeFeatures:::vignette_assay_data()
pheno_data <- metagenomeFeatures:::vignette_pheno_data()
demoMRexp = newMRexperiment(assay_data$counts, phenoData=pheno_data)
demoMRexp

## ----echo=FALSE, message=FALSE-------------------------------------------
mock_MgDb <- metagenomeFeatures:::vignette_mock_MgDb()

## ------------------------------------------------------------------------
demoMRexp <- annotateMRexp_fData(mgdb = mock_MgDb, MRobj = demoMRexp)
demoMRexp

## ------------------------------------------------------------------------
mgF_seq(demoMRexp@featureData) %>% head()

## ------------------------------------------------------------------------
mgF_taxa(demoMRexp@featureData) %>% head()

## ------------------------------------------------------------------------
mgF_meta(demoMRexp@featureData) %>% head()

## ----eval=FALSE----------------------------------------------------------
#  mgF_tree(demoMRexp@featureData)

## ------------------------------------------------------------------------
sessionInfo()

